# class Chef::Provider::WhyrunSafeRubyBlock

### Public Instance Methods

action_create() click to toggle source

    # File lib/chef/provider/whyrun_safe_ruby_block.rb, line 22
    def action_create
      @new_resource.block.call
      @new_resource.updated_by_last_action(true)
      @run_context.events.resource_update_applied(@new_resource, :create, "execute the whyrun_safe_ruby_block #{@new_resource.name}")
      Chef::Log.info("#{@new_resource} called")
    end